PrecompilingCompiler (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.compiler.PrecompilingCompiler interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.compiler
Interface PrecompilingCompiler

All Known Implementing Classes:
  BorlandCCompiler, DevStudio2005CCompiler, DevStudioCCompiler, DevStudioCompatibleCCompiler, IntelWin32CCompiler, IntelWin64CCompiler, PrecompilingCommandLineCCompiler, PrecompilingCommandLineCompiler

    public interface PrecompilingCompiler

A compiler that can utilize precompilation of header files

Author:
  Curt Arnold

Method Summary
`CompilerConfiguration[]` | `createPrecompileConfigurations(CompilerConfiguration config, java.io.File prototype, java.lang.String[] nonPrecompiledFiles)` This method may be used to get two distinct compiler configurations, one for compiling the specified file and producing a precompiled header file, and a second for compiling other files using the precompiled header file.

Method Detail

### createPrecompileConfigurations

    CompilerConfiguration[] createPrecompileConfigurations(CompilerConfiguration config,
                                                           java.io.File prototype,
                                                           java.lang.String[] nonPrecompiledFiles)

  This method may be used to get two distinct compiler configurations, one for compiling the specified file and producing a precompiled header file, and a second for compiling other files using the precompiled header file. The last (preferrably only) include directive in the prototype file will be used to mark the boundary between pre-compiled and normally compiled headers.

  Parameters:
    `config` - base configuration
    `prototype` - A source file (for example, stdafx.cpp) that is used to build the precompiled header file. @returns null if precompiled headers are not supported or a two element array containing the precompiled header generation configuration and the consuming configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.